# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::BufferedStream< Element_Type, Chunk_Size > Class Template Reference

The BufferedStream class is a template class that that performs a buffered read of Element_Type data from a VirtualFile. More...

`#include <BufferedStream.hpp>`

Inheritance diagram for vl::BufferedStream< Element_Type, Chunk_Size >:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| BufferedStream ()
void | seek (long long pos)
bool | readToken (Element_Type *token)
bool | bufferEmpty ()
int | fillBuffer ()
void | setInputFile (VirtualFile *file)
VirtualFile * | inputFile () const
void | ungetToken (const Element_Type &token)
## Protected Attributes
ref< VirtualFile > | mInputFile
std::vector< Element_Type > | mUngetBuffer
std::vector< Element_Type > | mBuffer
int | mPtr
int | mSize

## Detailed Description

### template<class Element_Type, int Chunk_Size>
class vl::BufferedStream< Element_Type, Chunk_Size >

The BufferedStream class is a template class that that performs a buffered read of Element_Type data from a VirtualFile.

## Constructor & Destructor Documentation

template<class Element_Type, int Chunk_Size>

vl::BufferedStream< Element_Type, Chunk_Size >::BufferedStream | ( |  | ) | `[inline]`

## Member Function Documentation

template<class Element_Type, int Chunk_Size>

virtual const char* vl::BufferedStream< Element_Type, Chunk_Size >::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::TextStream.

template<class Element_Type, int Chunk_Size>

void vl::BufferedStream< Element_Type, Chunk_Size >::seek | ( | long long | pos | ) | `[inline]`

template<class Element_Type, int Chunk_Size>

bool vl::BufferedStream< Element_Type, Chunk_Size >::readToken | ( | Element_Type * | token | ) | `[inline]`

template<class Element_Type, int Chunk_Size>

bool vl::BufferedStream< Element_Type, Chunk_Size >::bufferEmpty | ( |  | ) | `[inline]`

template<class Element_Type, int Chunk_Size>

int vl::BufferedStream< Element_Type, Chunk_Size >::fillBuffer | ( |  | ) | `[inline]`

template<class Element_Type, int Chunk_Size>

void vl::BufferedStream< Element_Type, Chunk_Size >::setInputFile | ( | VirtualFile * | file | ) | `[inline]`

template<class Element_Type, int Chunk_Size>

VirtualFile* vl::BufferedStream< Element_Type, Chunk_Size >::inputFile | ( |  | ) | const`[inline]`

template<class Element_Type, int Chunk_Size>

void vl::BufferedStream< Element_Type, Chunk_Size >::ungetToken | ( | const Element_Type & | token | ) | `[inline]`

## Member Data Documentation

template<class Element_Type, int Chunk_Size>

ref<VirtualFile> vl::BufferedStream< Element_Type, Chunk_Size >::mInputFile`[protected]`

template<class Element_Type, int Chunk_Size>

std::vector<Element_Type> vl::BufferedStream< Element_Type, Chunk_Size >::mUngetBuffer`[protected]`

template<class Element_Type, int Chunk_Size>

std::vector<Element_Type> vl::BufferedStream< Element_Type, Chunk_Size >::mBuffer`[protected]`

template<class Element_Type, int Chunk_Size>

int vl::BufferedStream< Element_Type, Chunk_Size >::mPtr`[protected]`

template<class Element_Type, int Chunk_Size>

int vl::BufferedStream< Element_Type, Chunk_Size >::mSize`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/BufferedStream.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:56 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.